<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>com.aptener.bluconnect.di.component</title>
<link href="../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../styles/style.css" rel="Stylesheet"><link href="../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../styles/main.css" rel="Stylesheet"><link href="../../styles/prism.css" rel="Stylesheet"><link href="../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.di.component////PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../index.html">bluconnect</a>/<a href="index.html">com.aptener.bluconnect.di.component</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>Package</span></span> <span>com.</span><wbr></wbr><span>aptener.</span><wbr></wbr><span>bluconnect.</span><wbr></wbr><span>di.</span><wbr></wbr><span>component</span></h1>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Types">Types</button></div>
            <div class="tabs-section-body">
              <h2 class="">Types</h2>
              <div class="table" data-togglable="Types"><a data-name="640381578%2FClasslikes%2F-1410038383" anchor-label="BluConnectAppComponent" id="640381578%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-blu-connect-app-component/index.html"><span>Blu</span><wbr></wbr><span>Connect</span><wbr></wbr><span>App</span><wbr></wbr><span><span>Component</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="640381578%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Component///PointingToDeclaration/"><span class="token annotation">Component</span></span><span class="token punctuation">(</span><span>modules<span class="token operator"> = </span><span class="token punctuation">[</span><span><a href="../com.aptener.bluconnect.di.module/-ui-module/index.html">UiModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-context-module/index.html">ContextModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-repository-module/index.html">RepositoryModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-firebase-module/index.html">FirebaseModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-sub-component-device-module/index.html">SubComponentDeviceModule::class</a></span><wbr></wbr><span class="token punctuation">]</span></span><wbr></wbr><span class="token punctuation">)</span></div></div><span class="token keyword">interface </span><a href="-blu-connect-app-component/index.html">BluConnectAppComponent</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1544081144%2FClasslikes%2F-1410038383" anchor-label="BluConnectSx20DeviceComponent" id="1544081144%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-blu-connect-sx20-device-component/index.html"><span>Blu</span><wbr></wbr><span>Connect</span><wbr></wbr><span>Sx20Device</span><wbr></wbr><span><span>Component</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1544081144%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Subcomponent///PointingToDeclaration/"><span class="token annotation">Subcomponent</span></span><span class="token punctuation">(</span><span>modules<span class="token operator"> = </span><span class="token punctuation">[</span><span><a href="../com.aptener.bluconnect.di.module/-ble-interface-module-sx/index.html">BleInterfaceModuleSx::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-sx20-intent-interface-module/index.html">Sx20IntentInterfaceModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-blu-armor-model-module/index.html">BluArmorModelModule::class</a></span><wbr></wbr><span class="token punctuation">]</span></span><wbr></wbr><span class="token punctuation">)</span></div></div><span class="token keyword">interface </span><a href="-blu-connect-sx20-device-component/index.html">BluConnectSx20DeviceComponent</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="900983576%2FClasslikes%2F-1410038383" anchor-label="BluConnectSx20OtaDeviceComponent" id="900983576%2FClasslikes%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="-blu-connect-sx20-ota-device-component/index.html"><span>Blu</span><wbr></wbr><span>Connect</span><wbr></wbr><span>Sx20Ota</span><wbr></wbr><span>Device</span><wbr></wbr><span><span>Component</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="900983576%2FClasslikes%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation">@</span><span data-unresolved-link="dagger/Subcomponent///PointingToDeclaration/"><span class="token annotation">Subcomponent</span></span><span class="token punctuation">(</span><span>modules<span class="token operator"> = </span><span class="token punctuation">[</span><span><a href="../com.aptener.bluconnect.di.module/-ble-interface-module/index.html">BleInterfaceModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-sx20-ota-intent-interface-module/index.html">Sx20OtaIntentInterfaceModule::class</a><span class="token punctuation">, </span></span><wbr></wbr><span><a href="../com.aptener.bluconnect.di.module/-blu-armor-model-module/index.html">BluArmorModelModule::class</a></span><wbr></wbr><span class="token punctuation">]</span></span><wbr></wbr><span class="token punctuation">)</span></div></div><span class="token keyword">interface </span><a href="-blu-connect-sx20-ota-device-component/index.html">BluConnectSx20OtaDeviceComponent</a><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

